Timeline: Generate wikitext for on-wiki discussions
Closed, ResolvedPublic

Description

Goal

We want to make it easy for users to include a link to the Interaction Timeline in their on-wiki discussions.


Really rough UI wireframe

On click would open:


Wikitext

Example wikitext to be copied:

Between 2017-01-01 and 2017-01-02 on test.wikipedia.org [[User:Test-apples]] ([[User talk:Test-apples|talk]] | ([[Special:Contributions/Test-apples|contribs]]) and [[User:Test-bananas]] ([[User talk:Test-bananas|talk]] | ([[Special:Contributions/Test-bananas|contribs]]) both made edits to some pages in common. You can see a chronological list of all their edits on [https://tools.wmflabs.org/interaction-timeline/?wiki=testwiki&user=Test-apples&user=Test-bananas&startDate=1483228800 the Interaction Timeline] or a table view on [https://tools.wmflabs.org/sigma/editorinteract.py?users=Test-apples&users=Test-bananas&users=&startdate=20170101&enddate=&ns=&server=testwiki the Interaction Analyser].

Wikitext + variables:

Between $1 and $2 on $3 [[User:$4]] ([[User talk:$4|talk]] | ([[Special:Contributions/T$4|contribs]]) and [[User:$5]] ([[User talk:$5|talk]] | ([[Special:Contributions/$5|contribs]]) both made edits to some pages in common. You can see a chronological list of all their edits on [https://tools.wmflabs.org/interaction-timeline/?wiki=$3&user=$4&user=$5&startDate=$1 the Interaction Timeline] or a table view on [https://tools.wmflabs.org/sigma/editorinteract.py?users=$4&users=$5&startdate=$1&enddate=$2&ns=&server=$3 the Interaction Analyser].

Acceptance criteria
  • On the Interaction Timeline, when the parameters for 2 users and wiki have been entered and the Timeline displays, an unintrusive UI element should appear in the bottom right corner of the Timeline.
    • It should be labeled Share these results
    • On click it should open a modal
      • The modal should have a description sentence: Copy & paste this wikitext to an on-wiki discussion to share these Timeline results with others:
      • The modal should have a text area filled with the wikitext above
      • The text area contents should be selected be default so the user can select ctrl+C or command+C to copy.
      • The text area contents should be editable so users can modify it.
      • The modal should be closeable. When closed the edits to the text area can be discarded
  • Dates:
    • If no start date is provided, use 2000-01-01
    • If no end date is provided, use the current date
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 13 2018, 4:37 PM
TBolliger moved this task from Untriaged to Backlog on the Anti-Harassment board.Jun 13 2018, 4:43 PM
SPoore added a subscriber: SPoore.Jun 13 2018, 5:20 PM

The most important piece of this will be the information that is prompted to be posted to make a report or supplement an existing report.

We need to take this to the community to find out what is and what isn't useful to have posted.

Sydney

I like Idea #2, but perhaps it should expand into a taller version of Idea #1 (rather than a modal in the middle of the page, it would be "anchored" to the button you pressed).

Instead of text though, could we use an icon?

Perhaps something like a chat bubble:
https://material.io/tools/icons/?search=bub&icon=chat_bubble_outline&style=baseline

in maybe some sort of round background (kinda like Google/Android's Material Design elements)

@TBolliger Can the edit box on a wiki be auto-populated? If so, perhaps we could just link them to a new section on a page with the content prefilled for them? If not, maybe this is a feature MediaWiki should have. :)

@TBolliger Can the edit box on a wiki be auto-populated? If so, perhaps we could just link them to a new section on a page with the content prefilled for them? If not, maybe this is a feature MediaWiki should have. :)

Yes: https://test.wikipedia.org/wiki/Foobar20180614?action=edit&preload=User%3ATBolliger_%28WMF%29%2Fsandbox

Depending on where the user wants to post (user talk page vs. ANI vs. wheverever) the content should probably be different anyway. This could turn into a v0.5 of the routing system.

I think the best way will be a persistent element that can be expanded, and for the first version it should be copy+paste as someone may want to paste it into the middle of a discussion rather than start a new section.

TBolliger updated the task description. (Show Details)Jun 26 2018, 9:03 PM
TBolliger updated the task description. (Show Details)Jun 29 2018, 4:48 PM
TBolliger updated the task description. (Show Details)Jun 29 2018, 7:21 PM
Vvjjkkii renamed this task from Timeline: Generate wikitext for on-wiki discussions to z2aaaaaaaa.Jul 1 2018, 1:04 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot renamed this task from z2aaaaaaaa to Timeline: Generate wikitext for on-wiki discussions.
CommunityTechBot added a subscriber: Aklapper.

@alexhollender would you mind making a mockup/wireframe for this? 😄

dbarratt claimed this task.

@TBolliger

both made edits to the same 13 pages.

Right now, our API does not return a total count of pages that have been modified. Do you want the API modified as part of this task or do you want to reword the text and remove that information?

This is still very much a work in progress, but wanted to share what I have so far:



Let me know if this direction looks good so far!

TBolliger added a comment.EditedJul 11 2018, 5:22 PM

@TBolliger

both made edits to the same 13 pages.

Right now, our API does not return a total count of pages that have been modified. Do you want the API modified as part of this task or do you want to reword the text and remove that information?

Whichever is easier. Probably remove that portion of the sentence.

Screenshots look good, I may have some more nitpicky opinions once I see it in person.

Whichever is easier. Probably remove that portion of the sentence.

Screenshots look good, I may have some more nitpicky opinions once I see it in person.

Would you mind writing new copy? :)

TBolliger updated the task description. (Show Details)Jul 11 2018, 6:00 PM

Updated the text to be more generic.

Awesome work @dbarratt. Few small suggestions:

  1. Maybe use a floating button for the main "Discuss these results..." button?
  2. I'm not sure you need the cancel button on the modal since you've got the X? Does clicking outside of the modal close it as well? If you do decide to keep the cancel button maybe just make it gray instead of red, since it's not a destructive action (nothing is being deleted, etc.)
  3. I think this OOUI icon would work well (the equivalent on Material seems to be "forum")
  4. Curious how we came up with the title for the button? Part of me wonders if something like "Generate permalink" would be more descriptive? Although I don't really understand well enough what the blurb that gets generated is to have a solid suggestion...

Yeah, "Generate Permalink" is certainly more descriptive.

Yeah, "Generate Permalink" is certainly more descriptive.

huh... I don't think that's better... I would expect a Permalink to be a URL, which is already in the address bar... but this doesn't give you a URL it gives you text to copy and paste.

yeah a permalink is a url, but I do think the current text is a little clunky.

aezell added a subscriber: aezell.Wed, Aug 1, 9:42 PM

Maybe something like "Start a discussion" or "Share these results"?

Maybe something like "Start a discussion" or "Share these results"?

I like either one! @alexhollender & @TBolliger what do you think?

Slight preference for "Share these results" now

Strong preference for Share these results since a discussion might not be the appropriate context.

+1 for "Share these results"

TBolliger updated the task description. (Show Details)Thu, Aug 2, 4:45 PM

David, please change it to Share these results

What do we think?



This doesn't show in the screenshot, but the text within the box is focused and selected (ready for a copy/paste).

SPoore added a comment.Mon, Aug 6, 4:30 PM

Looks good to me.

aezell added a comment.Mon, Aug 6, 4:30 PM

How does the dialog handle smaller screen sizes? Is it fixed or fluid in size?

Should we have a little copy icon a user could click to add the content to their clipboard?

dbarratt added a comment.EditedMon, Aug 6, 4:33 PM

How does the dialog handle smaller screen sizes? Is it fixed or fluid in size?

I think the smallest size we support is a typical notebook, which it looks good on my 13".

Should we have a little copy icon a user could click to add the content to their clipboard?

That's not a bad idea, I could put it where the Close icon used to be T197148#4416313, @TBolliger what do you think?

A "copy" button could be a nice additional call-to-action.

David — when the dialog opens, is the text automatically selected?

David — when the dialog opens, is the text automatically selected?

Yes.

What do we think?


🚢

Ship it!

Not sure if you're planning on doing T189839 or not, but if so, you might run into space trouble with other languages like German ("Teilen Sie diese Ergebnisse"). Maybe just "Share" would work better. Sorry to add more bikeshedding :)

Not sure if you're planning on doing T189839 or not, but if so, you might run into space trouble with other languages like German ("Teilen Sie diese Ergebnisse"). Maybe just "Share" would work better. Sorry to add more bikeshedding :)

You can already change the language by changing the language preference in your web browser.

This is what it looks like in German:

@TBolliger what do you think?

Still looks good.

Cameron11598 added a subscriber: Cameron11598.
dbarratt closed this task as Resolved.